# Get supported tokens and chains

{% hint style="info" %}
See all our supported chains and tokens at <https://v2.app.squidrouter.com>
{% endhint %}

{% tabs %}
{% tab title="SDK" %}

```typescript
// access using squid.tokens
const fromToken = squid.tokens.find(
  (t) =>
    t.symbol.toLocaleLowerCase() === "USDC" && t.chainId === "1"
);

// access using squid.chains
const fromChain = squid.chains.find(
  (c) =>
    c.chainId === "1"
);

```

{% endtab %}

{% tab title="API" %}

```typescript
const getChains = async () => {
	const result = await axios.get('https://v2.api.squidrouter.com/v2/chains', {
		headers: {
			'x-integrator-id': integratorId,
		},
	});
	return result.data;
};

const getTokens = async () => {
	const result = await axios.get('https://v2.api.squidrouter.com/v2/tokens', {
		headers: {
			'x-integrator-id': integratorId,
		},
	});
	return result.data;
};
```

{% endtab %}

{% tab title="Widgets" %}
Every widget will automatically pull down all Squid's supported tokens and chains.

You can limit the available tokens and chains using this guide:[Default Chains and Tokens](/old-v2-documentation-deprecated/add-a-widget/widget/customization-guide/default-chains-and-tokens.md)
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.squidrouter.com/old-v2-documentation-deprecated/key-concepts/get-supported-tokens-and-chains.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
